/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";
option java_multiple_files = true;

package com.android.server;

import "frameworks/base/core/proto/android/privacy.proto";

message IntentResolverProto {
    option (.android.msg_privacy).dest = DEST_AUTOMATIC;

    // A mapping bewteen some key string to IntentFilter's toString().
    message ArrayMapEntry {
        option (.android.msg_privacy).dest = DEST_AUTOMATIC;

        optional string key = 1;
        repeated string values = 2;
    }

    repeated ArrayMapEntry full_mime_types = 1;
    repeated ArrayMapEntry base_mime_types = 2;
    repeated ArrayMapEntry wild_mime_types = 3;
    repeated ArrayMapEntry schemes = 4;
    repeated ArrayMapEntry non_data_actions = 5;
    repeated ArrayMapEntry mime_typed_actions = 6;
}

